# Get carrier by code Retrieves the shipping carrier account details for the specified carrierCode. Use this method to determine a carrier's account balance. Endpoint: GET /carriers/getcarrier Version: 1.0.0 Security: basicAuth ## Query parameters: - `carrierCode` (string, required) The code for the carrier account to retrieve Example: "stamps_com" ## Response 200 fields (application/json): - `name` (string) Example: "Stamps.com" - `code` (string) Example: "stamps_com" - `accountNumber` (string) Example: "SS123" - `requiresFundedAccount` (boolean) Example: true - `balance` (number) Example: 24.27 - `nickname` (any) - `shippingProviderId` (integer) Example: 12345 - `primary` (boolean) Example: true ## Response 400 fields (application/json): - `message` (string) Example: "Invalid request parameters" ## Response 401 fields (application/json): - `message` (string) Example: "Invalid API credentials" ## Response 404 fields (application/json): - `message` (string) Example: "Resource not found" ## Response 500 fields (application/json): - `message` (string) Example: "An internal error occurred"